Hi,<br><br><div><span class="gmail_quote">2008/3/10, Nicolas Roussi &lt;<a href="mailto:nroussi@gmail.com">nroussi@gmail.com</a>&gt;:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
Thanks for the previous replies. I tried to install the x11vnc and tor<br> in my chroot and I am getting these error message<br> Unpacking replacement linux-image-2.6.22-14-386 ...<br> Examining /etc/kernel/postrm.d .<br>
 run-parts: executing /etc/kernel/postrm.d/ltsp-update-kernels<br> Cannot open ``/boot/nbi.img-2.6.22-14-386&#39;&#39;:File exists<br> run-parts: /etc/kernel/postrm.d/ltsp-update-kernels exited with return code 1<br> Failed to process /etc/kernel/postrm.d at<br>
 /var/lib/dpkg/info/linux-image-2.6.22-14-386.postrm line 320.<br> dpkg: warning - old post-removal script returned error exit status 1<br> dpkg - trying script from the new package instead ...<br> Examining /etc/kernel/postrm.d .<br>
 run-parts: executing /etc/kernel/postrm.d/ltsp-update-kernels<br> Cannot open ``/boot/nbi.img-2.6.22-14-386&#39;&#39;:File exists<br> run-parts: /etc/kernel/postrm.d/ltsp-update-kernels exited with return code 1<br> Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/tmp.ci/postrm line 320.<br>
 dpkg: error processing<br> /var/cache/apt/archives/linux-image-2.6.22-14-386_2.6.22-14.52_i386.deb<br> (--unpack):<br>&nbsp;&nbsp;subprocess new post-removal script returned error exit status 1<br> Examining /etc/kernel/postrm.d .<br>
 run-parts: executing /etc/kernel/postrm.d/ltsp-update-kernels<br> Cannot open ``/boot/nbi.img-2.6.22-14-386&#39;&#39;:File exists<br> run-parts: /etc/kernel/postrm.d/ltsp-update-kernels exited with return code 1<br> Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/tmp.ci/postrm line 320.<br>
 dpkg: error while cleaning up:<br>&nbsp;&nbsp;subprocess post-removal script returned error exit status 1<br> Errors were encountered while processing:<br>&nbsp;&nbsp;/var/cache/apt/archives/linux-image-2.6.22-14-386_2.6.22-14.52_i386.deb<br>
 E: Sub-process /usr/bin/dpkg returned an error code (1)<br> <br> Anyone has a fix for this? I read through the mailing list but there<br> does not seem to be a solution</blockquote><div><br><br>It&#39;s this bug <a href="https://bugs.launchpad.net/ubuntu/+source/ltsp/+bug/190419">https://bugs.launchpad.net/ubuntu/+source/ltsp/+bug/190419</a><br>
<br>rename or delete the nbi.img-2.6.22-14-386 and<br>in the chroot use &quot;apt-get -f install&quot; for finish the configuration.<br><br>Bye<br></div><br>Manu<br></div><br><br clear="all"><br>-- <br>Emmanuel Le Normand<br>
Ubuntu-fr / Edubuntu-fr